Package org.eclipse.ui.forms.events

# Class HyperlinkEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.ui.forms.events.HyperlinkEvent

All Implemented Interfaces:
  `Serializable`

public final class HyperlinkEvent extends TypedEvent
Notifies listeners about a hyperlink change.

Since:
  3.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`HyperlinkEvent(Widget widget, Object href, String label, int stateMask)`
Creates a new hyperlink

## Method Summary

Modifier and Type
Method
Description
`Object`
`getHref()`
The hyperlink reference that will be followed when the hyperlink is activated.
`String`
`getLabel()`
The text of the hyperlink rendered in the source widget.
`int`
`getStateMask()`
Returns the value of the keyboard state mask present when the event occurred, or SWT.NULL for no modifiers.

### Methods inherited from class org.eclipse.swt.events.TypedEvent

`toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HyperlinkEvent

public HyperlinkEvent(Widget widget, Object href, String label, int stateMask)
Creates a new hyperlink

Parameters:
  `widget` - event source
  `href` - the hyperlink reference that will be followed upon when the hyperlink is activated.
  `label` - the name of the hyperlink (the text that is rendered as a link in the source widget).
  `stateMask` - the given state mask

## Method Details

### getHref

public Object getHref()
The hyperlink reference that will be followed when the hyperlink is activated.

Returns:
  the hyperlink reference object

### getLabel

public String getLabel()
The text of the hyperlink rendered in the source widget.

Returns:
  the hyperlink label

### getStateMask

public int getStateMask()
Returns the value of the keyboard state mask present when the event occurred, or SWT.NULL for no modifiers.

Returns:
  the keyboard state mask or `SWT.NULL`.